67 lines
2.0 KiB
Diff
67 lines
2.0 KiB
Diff
From c5834dc917e0bd4ad569ee3857f4719e77bcd6c5 Mon Sep 17 00:00:00 2001
|
|
From: haozi007 <liuhao27@huawei.com>
|
|
Date: Mon, 5 Jun 2023 17:08:28 +0800
|
|
Subject: [PATCH 03/15] [CI] add testcase for ipc ns
|
|
|
|
Signed-off-by: haozi007 <liuhao27@huawei.com>
|
|
---
|
|
CI/test_cases/container_cases/ipc_ns.sh | 46 +++++++++++++++++++++++++
|
|
1 file changed, 46 insertions(+)
|
|
create mode 100755 CI/test_cases/container_cases/ipc_ns.sh
|
|
|
|
diff --git a/CI/test_cases/container_cases/ipc_ns.sh b/CI/test_cases/container_cases/ipc_ns.sh
|
|
new file mode 100755
|
|
index 00000000..f8a77f0a
|
|
--- /dev/null
|
|
+++ b/CI/test_cases/container_cases/ipc_ns.sh
|
|
@@ -0,0 +1,46 @@
|
|
+#!/bin/bash
|
|
+#
|
|
+# attributes: isulad ipc namespace usage
|
|
+# concurrent: NO
|
|
+# spend time: 29
|
|
+
|
|
+#######################################################################
|
|
+##- Copyright (c) Huawei Technologies Co., Ltd. 2023. All rights reserved.
|
|
+# - iSulad licensed under the Mulan PSL v2.
|
|
+# - You can use this software according to the terms and conditions of the Mulan PSL v2.
|
|
+# - You may obtain a copy of Mulan PSL v2 at:
|
|
+# - http://license.coscl.org.cn/MulanPSL2
|
|
+# - THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND, EITHER EXPRESS OR
|
|
+# - IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT, MERCHANTABILITY OR FIT FOR A PARTICULAR
|
|
+# - PURPOSE.
|
|
+# - See the Mulan PSL v2 for more details.
|
|
+##- @Description:CI
|
|
+##- @Author: haozi007
|
|
+##- @Create: 2023-06-05
|
|
+#######################################################################
|
|
+
|
|
+curr_path=$(dirname $(readlink -f "$0"))
|
|
+source ../helpers.sh
|
|
+
|
|
+function do_test_t()
|
|
+{
|
|
+ cid=$(isula create --name test1 -ti --ipc=shareable busybox /bin/sh)
|
|
+
|
|
+ cat /proc/1/mountinfo | grep "$cid/mounts/shm"
|
|
+ fn_check_eq "$?" "0" "shareable ipc lose shm mount point"
|
|
+
|
|
+ isula rm -f test1
|
|
+ cat /proc/1/mountinfo | grep "$cid/mounts/shm"
|
|
+ fn_check_ne "$?" "0" "residual shm mount poit"
|
|
+
|
|
+ return $TC_RET_T
|
|
+}
|
|
+
|
|
+ret=0
|
|
+
|
|
+do_test_t
|
|
+if [ $? -ne 0 ];then
|
|
+ let "ret=$ret + 1"
|
|
+fi
|
|
+
|
|
+show_result $ret "basic ipc namespace usage test"
|
|
--
|
|
2.25.1
|
|
|